Rebalancing a leveraged portfolio to ensure constant proportions leads to momentum trading. Indeed as the price increases, the proportion of the risky asset tends to fall under buy-and-hold. The trader needs to buy more of the rising risky asset to keep its proportion in portfolio constant. 

What about a short portfolio? 

As usual, I take a world with two assets, cash bearing zero interest rate and a risky asset with price \(p\). At inception, investment is initiated with one dollar. The initial price is \(p_{0}=1\). Shares are sold until the risky asset has a proportion of \(-\pi \lt 0\) in the overall portfolio. The position in cash is thus \(1+\pi \gt 1\).
Assuming the portfolio is continuously rebalanced and the price trajectory is smooth, its value as a function of the price is given by:
\[V(p)=p^{-\pi},\]
and the number of shares held as a function of the price is:
\[n(p)=-\pi p^{-\pi-1}.\]
This is an increasing function of the price so that the investment policy consists in buying more shares as they go up, and selling shares as they go down. Rebalancing to a short exposure is a momentum policy, as opposed to a contrarian policy.

I show the short trading policy and the short value functions versus the corresponding buy-and-hold quantities in the graphs below. As explained, the trading policy buys the stock if it rises and sells the stock if it falls, leading to a convex value function.
